extends PhysicalBone3D

@export var damage_multiplexer: float = 1.0

signal body_part_hit(damage: int)
# Called when the node enters the scene tree for the first time.
func _ready() -> void:
	pass # Replace with function body.

# Called every frame. 'delta' is the elapsed time since the previous frame.
func _process(delta: float) -> void:
	pass

func hit(base_damage: int):
	print("HEAD")
	var final_damage = round(base_damage * damage_multiplexer)
	$"../../../../.."._hit_detected(final_damage)
